perl-Pod-Coverage-0.18-2.PU_IAS.5.noarch.rpm


Advertisement

Description

perl-Pod-Coverage - Checks if the documentation of a module is comprehensive

Distribution: CentOS 5
Repository: PUIAS Server x86_64
Package name: perl-Pod-Coverage
Package version: 0.18
Package release: 2.PU_IAS.5
Package architecture: noarch
Package type: rpm
Installed size: 33.88 KB
Download size: 25.44 KB
Official Mirror: springdale.math.ias.edu
Developers hate writing documentation. They'd hate it even more if their computer tattled on them, but maybe they'll be even more thankful in the long run. Even if not, perlmodstyle tells you to, so you must obey. This module provides a mechanism for determining if the pod for a given module is comprehensive.

Provides

  • perl(Pod::Coverage) = 0.18
  • perl(Pod::Coverage::CountParents)
  • perl(Pod::Coverage::ExportOnly)
  • perl(Pod::Coverage::Extractor)
  • perl(Pod::Coverage::Overloader)
  • perl-Pod-Coverage = 0.18-2.PU_IAS.5

    Install Howto

    1. Create the repository config file /etc/yum.repos.d/puias-server.repo:
      [puias-server]
      name=PUIAS Server
      baseurl=http://springdale.math.ias.edu/data/puias/5/en/os/x86_64/ServerAddons/
      enabled=1
      gpgcheck=0
      
    2. Install perl-Pod-Coverage rpm package:
      # yum install perl-Pod-Coverage

    Files

    • /usr/bin/pod_cover
    • /usr/lib/perl5/vendor_perl/5.8.8/Pod/Coverage.pm
    • /usr/lib/perl5/vendor_perl/5.8.8/Pod/Coverage/CountParents.pm
    • /usr/lib/perl5/vendor_perl/5.8.8/Pod/Coverage/ExportOnly.pm
    • /usr/lib/perl5/vendor_perl/5.8.8/Pod/Coverage/Overloader.pm
    • /usr/share/doc/perl-Pod-Coverage-0.18/Changes
    • /usr/share/doc/perl-Pod-Coverage-0.18/README
    • /usr/share/doc/perl-Pod-Coverage-0.18/examples/check_installed
    • /usr/share/doc/perl-Pod-Coverage-0.18/examples/script-covered
    • /usr/share/man/man3/Pod::Coverage.3pm.gz
    • /usr/share/man/man3/Pod::Coverage::CountParents.3pm.gz
    • /usr/share/man/man3/Pod::Coverage::ExportOnly.3pm.gz
    • /usr/share/man/man3/Pod::Coverage::Overloader.3pm.gz

    Changelog

    2006-08-09 - Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.18-2 - Version 0.18 is now a noarch package.

    2006-08-09 - Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.18-1 - Update to 0.18.

    2006-02-17 - Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-5 - Rebuild for FC5 (perl 5.8.8).

    2005-05-12 - Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-4 - Add dist tag.

    2005-04-20 - Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-3 - Avoid .packlist creation with Module::Build >= 0.2609. - Trust that %{perl_vendorlib} is defined.

    2005-04-07 - Michael Schwendt <mschwendt[AT]users.sf.net> - rebuilt

    2004-11-27 - Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.17-1 - Update to 0.17.

    2004-10-20 - Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.16-0.fdr.1 - Update to 0.16.

    2004-05-20 - Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.14-0.fdr.1 - First build.

    Advertisement
    Advertisement